# eric6.Plugins.VcsPlugins.vcsMercurial.HgExportDialog

Module implementing a dialog to enter data for the Mercurial export command.

### Global Attributes

None

### Classes

HgExportDialog | Class documentation goes here.

### Functions

None

## HgExportDialog

Class documentation goes here.

### Derived from

QDialog, Ui_HgExportDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgExportDialog | Constructor
__updateOK | Private slot to update the OK button.
getParameters | Public method to retrieve the export data.
on_changesetsEdit_textChanged | Private slot to react on changes of the changesets edit.
on_directoryButton_clicked | Private slot called by pressing the export directory selection button.
on_directoryEdit_textChanged | Private slot to react on changes of the export directory edit.
on_patternEdit_textChanged | Private slot to react on changes of the export file name pattern edit.

### Static Methods

None

#### HgExportDialog (Constructor)

HgExportDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### HgExportDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### HgExportDialog.getParameters

getParameters()

Public method to retrieve the export data.

Returns:
  tuple naming the output file name, the list of revisions to export, and flags indicating to compare against the second parent, to treat all files as text, to omit dates in the diff headers and to use the git extended diff format (string, list of strings, boolean, boolean, boolean, boolean)

#### HgExportDialog.on_changesetsEdit_textChanged

on_changesetsEdit_textChanged()

Private slot to react on changes of the changesets edit.

#### HgExportDialog.on_directoryButton_clicked

on_directoryButton_clicked()

Private slot called by pressing the export directory selection button.

#### HgExportDialog.on_directoryEdit_textChanged

on_directoryEdit_textChanged(txt)

Private slot to react on changes of the export directory edit.

txt
  contents of the line edit (string)

#### HgExportDialog.on_patternEdit_textChanged

on_patternEdit_textChanged(txt)

Private slot to react on changes of the export file name pattern edit.

txt
  contents of the line edit (string)

Up